package co.id.datacomsolusindo.ipphonebridge

import org.ini4j.Wini
import org.springframework.boot.SpringApplication
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.runApplication
import org.springframework.messaging.simp.SimpMessagingTemplate
import org.springframework.scheduling.annotation.EnableScheduling
import org.springframework.scheduling.annotation.Scheduled
import org.springframework.stereotype.Component
import java.io.File
import java.util.*


@SpringBootApplication
@EnableScheduling
class IpPhoneBridgeApplication

fun main(args: Array<String>) {
    val properties = Properties()
    val ini = Wini(File("conf/general.ini"))
    properties["server.port"] = ini.get("server", "port")
    val sApp = SpringApplication(IpPhoneBridgeApplication::class.java)
    sApp.setDefaultProperties(properties)
    sApp.run(*args)
}

@Component
class ScheduledMessage(val template: SimpMessagingTemplate) {
    @Scheduled(fixedDelay = 1000)
    fun sendMessageToGreetings() {
        //template.convertAndSend("/topic/greetings", Greeting("Fire"))
        //val headers = HttpHeaders()

    }

}


